﻿.chatbox {
    position: fixed;
    bottom: 0.5em;
    left: 0.5em;
    direction: ltr;
    z-index: 90;
    display:none;
}

.errer_item {
    display: block;
}

.chat-container-out {
    /*    padding: 0.3em;
*/ margin-bottom: 0.2em;
    width: 28em;
    background-image: linear-gradient(to left, rgb(206 206 206), #525050);
    border-radius: .7em;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
    overflow: hidden;
    display: none;
}

.chat-container-in {
    width: 100%;
    height: 100%;
    background: white;
    border-radius: .7em;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

.chatopen {
    width: fit-content;
    padding: .17em .2em .15em;
    background: white;
    color: white;
    font-size: 2em;
    border-radius: 1em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

.chat-bar-btn {
    width: 1.5em;
    margin: 0.5em 0 0 0.5em;
    cursor: pointer;
    transition: 400ms;
}

    .chat-bar-btn:hover {
        transform: rotate(90deg);
    }

.chat-header {
    height: 8em;
    background: #071c34;
    padding: 1em;
    color: #f8cd54;
}

.chat-header-logo, .chat-header-label {
    display: inline-block;
    vertical-align: top;
    white-space: nowrap;
}

.chat-header-logo {
    width: 5em;
}

.chat-header-label {
    transform: translateY(-.5em);
    width: calc(100% - 2.7em);
    font-size: 2em;
    height: 1.4em;
    text-align: right;
}

.chat-header-text {
    width: 100%;
    text-align: right;
}

.chat-body-container {
    direction: rtl;
    height: 32em;
    overflow: scroll;
}

    .chat-body-container::-webkit-scrollbar {
        width: 6px;
        border-radius: 50%;
        height: 0px;
    }

    .chat-body-container::-webkit-scrollbar-thumb {
        background-color: #092A4F;
    }

.chat-pnl {
    padding: 1em 1em 0 1em;
}

.chat-bnl-lbl {
    text-align: center;
    font-size: 1.2em;
}
.chat-bnl-txt {
    outline: none;
    font-size: 1.2em;
    margin: 0.5em 0.2em 0 0;
    width: 100%;
    font-family: 'Cairo-Regular',serif;
    border-radius: 0.2em;
    border: 1px solid #525050;
    padding-right: 0.5em;
}

    .chat-bnl-txt:hover {
        border-color: #1e7fe8;
    }

.txt-area {
    resize: none;
    height: 5em;
    font-size: 1.1em;
}

.chat-submit {
    background: #092A4F;
    color: white;
    cursor: pointer;
    text-align: center;
    font-size: 1.3em;
    padding-top: 0.5em;
    height: 3em;
}

    .chat-submit:hover {
        background: #1963b6;
    }

.chat-pnl .fa-whatsapp {
    color: #12e130;
}

.chat-pnl .fa-phone {
    display: block;
    margin-top: 0.8em;
    color: #1e7fe8;
}

.chat-pnl .fa-envelope {
    color: #ba8f17;
}

.chat-pnl .fa-facebook-official {
    color: #395693;
}

.chat-pnl-icon {
    margin-top: 0.4em;
    font-size: 2em;
    text-align: center;
    width: 100%;
    cursor: pointer;
}

.chat-pnl-icontxt {
    font-size: 0.9em;
    margin-left: 0.2em;
}

.chat-openbtn {
    cursor: pointer;
    margin: 1.5em auto;
    font-size: 1.4em;
    text-align: center;
    width: 8em;
    border-radius: 1.7em;
    box-shadow: rgb(206 206 206) 0px 2px 4px 1px;
}


.chat-body {
    direction: rtl;
    height: 23em;
    width:100%;
    overflow: scroll;
    padding: 0 1em;
    margin-right:0.2em;
}

    .chat-body::-webkit-scrollbar {
        width: 6px;
        border-radius: 50%;
        height: 0px;
    }

    .chat-body::-webkit-scrollbar-thumb {
        background-color: #092A4F;
    }

.chat-body-msg {
    height: 5em;
    border-color: #1e7fe8;
    overflow: hidden scroll;
    overflow-wrap: break-word;
}
    .chat-body-msg::-webkit-scrollbar {
        width: 0px;
        height: 0px;
    }
    .chat-body-msg::-webkit-scrollbar-thumb {
        background-color: #092A4F;
    }

.customer-msg-container, .support-msg-container {
    width: 100%;
    margin-top: 0.2em;
}
.support-msg-container {
    direction:ltr;
}

.customer-msg, .support-msg {
    max-width : 80%;
}

.cmsg-time, .smsg-time {
    text-align:right;
    width: fit-content;
    font-size: 0.86em;
    color: rgb(206 206 206);
}
.cmsg-time {
    margin-right: 1em;
}
.smsg-time {
    margin-left: 1em;
}

.cmsg-body, .smsg-body {
    width: fit-content;
    min-width: 12em;
    border-radius: 1.6em;
    text-align: justify;
    padding: 0.5em 0.8em;
}
.cmsg-body {
    background: #0a5ee2;
    color:white;
}
.smsg-body {
    direction:rtl;
    background: #f8cd54;
}

.support-ico, .support-name, .smsg-time {
    display: inline-block;
    vertical-align :middle;
}
.support-ico {
    width: 1.6em;
    border-radius:50%;
}
.support-name {
    margin: 0 .3em;
    color:#144276;
    font-weight:bold;
}
.chat-footer {
    padding: 1em;
    width: 100%;
    background: rgba(0, 0, 0, 0.09);
}
.chat-footer-btn {
    display: inline-block;
    vertical-align: top;
    color: #092A4F;
    margin: 0em;
    font-size: 2em;
    text-align: center;
    cursor: pointer;
    width: calc((100% / 3) - .1em);
}

    .chat-footer-btn:hover {
        color: red;
    }

    .chat-footer-btn:first-child {
        margin-right: 1.55em;
        width: calc((100% / 5) - .1em);
    }

    .chat-footer-btn:last-child {
        margin-left: 1.55em;
        width: calc((100% / 5) - .1em);
    }

.chatopen .fa-whatsapp, .chatopen .fa-message {
    padding: 0.3em;
    width: 2.5em;
    background: #092A4F;
    transition: 0.4s;
    text-align: center;
}

    .chatopen .fa-whatsapp:hover, .chatopen .fa-message:hover {
        background: #1e7fe8;
        width: 4em;
    }

.chatopen .fa-whatsapp {
    color: #12e130;
    margin-right: 0.1em;
    border-radius: 1em 0 0 1em;
}

.chatopen .fa-message {
    color: #e2b946;
    border-radius: 0 1em 1em 0;
}

@media (max-device-width: 640px) and (orientation: portrait) {
    .chatbox {
        font-size: 1.3em;
        bottom: 1em;
    }
}
